<?php
/**
 * Plugin name: WP Panorama View
 * Plugin URI: https://www.greensheep.co.jp/service/wordpress-plugin/wp-panorama-view-plugin/
 * Description: パノラマ画像表示
 * Version: 1.2.0
 * Author: Green Sheep
 * Author URI: https://www.greensheep.co.jp/
 * Created: November 2, 2017
 * Modified: January 30, 2018
 * Text Domain:
 * Domain Path:
 * License: GPLv2 or later
 * License URI: http://www.gnu.org/licenses/gpl-2.0.html
 */
namespace plugins\wpv;

// プラグイン + プラグインディレクトリ名のパスを定義
define('WPV_PLUGIN_PATH', plugin_dir_path(__FILE__));

// オートローダーのセット
require dirname(__FILE__) . '/classes/ClassLoader.class.php';

// プラグイン有効・無効化時の処理を実行
$init_plugin = new InitPlugin();
// css, jsの読み込み
$init_plugin->executeEnqueueScripts();

if (is_admin()) {
    // 管理画面
    new AdminInit();

    $options_name = DAO::getOptionsName();

    register_deactivation_hook(__FILE__, array($init_plugin, 'deleteWpPanoramaViewOptions'));
}

new FrontMenuPanorama();
